SwissprotProcessor (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.io.SwissprotProcessor class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.io
Class SwissprotProcessor

    java.lang.Object
      org.biojava.bio.seq.io.SequenceBuilderFilter
          org.biojava.bio.seq.io.SwissprotProcessor

All Implemented Interfaces:
  SeqIOListener, SequenceBuilder, ParseErrorSource

Deprecated. Use org.biojavax.bio.seq.io framework instead

    public class SwissprotProcessor

extends SequenceBuilderFilter
implements ParseErrorSource

Simple filter which handles attribute lines from an Swissprot entry. Skeleton implementation, please add more functionality.

FIXME: Note that this is currently rather incomplete, and doesn't handle any of the header information sensibly except for ID and AC.

Since:
  1.1
Author:
  Thomas Down, Matthew Pocock, Greg Cox

Nested Class Summary
`static class` | `SwissprotProcessor.Factory` Deprecated. Factory which wraps SequenceBuilders in a SwissprotProcessor

Field Summary
`static String` | `PROPERTY_SWISSPROT_ACCESSIONS` Deprecated.
`static String` | `PROPERTY_SWISSPROT_COMMENT` Deprecated.
`static String` | `PROPERTY_SWISSPROT_FEATUREATTRIBUTE` Deprecated.

Constructor Summary
`SwissprotProcessor(SequenceBuilder delegate)` Deprecated.
`SwissprotProcessor(SequenceBuilder delegate, String theSource)` Deprecated. Constructor that sets the source of the feature to theSource.

Method Summary
`void` | `addParseErrorListener(ParseErrorListener theListener)` Deprecated. Adds a parse error listener to the list of listeners if it isn't already included.
`void` | `addSequenceProperty(Object key, Object value)` Deprecated. Notify the listener of a sequence-wide property.
`void` | `endSequence()` Deprecated. Notify the listener that processing of the sequence is complete.
`protected void` | `notifyParseErrorEvent(ParseErrorEvent theEvent)` Deprecated. Passes the event on to all the listeners registered for ParseErrorEvents.
`void` | `removeParseErrorListener(ParseErrorListener theListener)` Deprecated. Removes a parse error listener from the list of listeners if it is included.

Methods inherited from class org.biojava.bio.seq.io.SequenceBuilderFilter
`addFeatureProperty, addSymbols, endFeature, getDelegate, makeSequence, setName, setURI, startFeature, startSequence`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_SWISSPROT_ACCESSIONS

    public static final String PROPERTY_SWISSPROT_ACCESSIONS

  Deprecated.
  See Also:
    Constant Field Values

### PROPERTY_SWISSPROT_COMMENT

    public static final String PROPERTY_SWISSPROT_COMMENT

  Deprecated.
  See Also:
    Constant Field Values

### PROPERTY_SWISSPROT_FEATUREATTRIBUTE

    public static final String PROPERTY_SWISSPROT_FEATUREATTRIBUTE

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### SwissprotProcessor

    public SwissprotProcessor(SequenceBuilder delegate,
                              String theSource)

  Deprecated.
  Constructor that sets the source of the feature to theSource.

  Parameters:
    `delegate` - The sequecence builder to be used in constructing the sequence
    `theSource` - The source of the features. e.g. "SWISS-PROT", "TrEMBL"

### SwissprotProcessor

    public SwissprotProcessor(SequenceBuilder delegate)

  Deprecated.

Method Detail

### endSequence

    public void endSequence()
                     throws ParseException

  Deprecated.
  Description copied from interface: `SeqIOListener`
  Notify the listener that processing of the sequence is complete.

  Specified by:
    `endSequence` in interface `SeqIOListener`
  Overrides:
    `endSequence` in class `SequenceBuilderFilter`
  Throws:
    `ParseException`

### addSequenceProperty

    public void addSequenceProperty(Object key,
                                    Object value)
                             throws ParseException

  Deprecated.
  Description copied from interface: `SeqIOListener`
  Notify the listener of a sequence-wide property. This might be stored as an entry in the sequence's annotation bundle.

  Specified by:
    `addSequenceProperty` in interface `SeqIOListener`
  Overrides:
    `addSequenceProperty` in class `SequenceBuilderFilter`
  Throws:
    `ParseException`

### addParseErrorListener

    public void addParseErrorListener(ParseErrorListener theListener)

  Deprecated.
  Adds a parse error listener to the list of listeners if it isn't already included.

  Specified by:
    `addParseErrorListener` in interface `ParseErrorSource`
  Parameters:
    `theListener` - Listener to be added.

### removeParseErrorListener

    public void removeParseErrorListener(ParseErrorListener theListener)

  Deprecated.
  Removes a parse error listener from the list of listeners if it is included.

  Specified by:
    `removeParseErrorListener` in interface `ParseErrorSource`
  Parameters:
    `theListener` - Listener to be removed.

### notifyParseErrorEvent

    protected void notifyParseErrorEvent(ParseErrorEvent theEvent)

  Deprecated.
  Passes the event on to all the listeners registered for ParseErrorEvents.

  Parameters:
    `theEvent` - The event to be handed to the listeners.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD